"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupportedApiMethods = exports.ButtonTypes = void 0;
var ButtonTypes;
(function (ButtonTypes) {
    ButtonTypes[ButtonTypes["primary"] = 0] = "primary";
    ButtonTypes[ButtonTypes["secondary"] = 1] = "secondary";
    ButtonTypes[ButtonTypes["success"] = 2] = "success";
    ButtonTypes[ButtonTypes["info"] = 3] = "info";
    ButtonTypes[ButtonTypes["callToAction"] = 4] = "callToAction";
    ButtonTypes[ButtonTypes["custom"] = 5] = "custom";
})(ButtonTypes = exports.ButtonTypes || (exports.ButtonTypes = {}));
var SupportedApiMethods;
(function (SupportedApiMethods) {
    SupportedApiMethods["GET"] = "GET";
    SupportedApiMethods["PUT"] = "PUT";
    SupportedApiMethods["POST"] = "POST";
    SupportedApiMethods["DELETE"] = "DELETE";
    SupportedApiMethods["PATCH"] = "PATCH";
})(SupportedApiMethods = exports.SupportedApiMethods || (exports.SupportedApiMethods = {}));
